Go to the latest version of this document.

# ``twisted`.`trial`.`_dist`.`worker``

module documentation
(source)

This module implements the worker classes.

Present Since
12.3

Class | `LocalWorker` | Local process worker protocol. This worker runs as a local process and communicates via stdin/out.
Class | `LocalWorkerAddress` | A `IAddress` implementation meant to provide stub addresses for `ITransport.getPeer` and `ITransport.getHost`.
Class | `LocalWorkerAMP` | Local implementation of the manager commands.
Class | `LocalWorkerTransport` | A stub transport implementation used to support `AMP` over a `ProcessProtocol` transport.
Class | `RunResult` | Represent the result of a `workercommands.Run` command.
Class | `Worker` | An object that can run actions.
Class | `WorkerProtocol` | The worker-side trial distributed protocol.
Exception | `NotRunning` | An operation was attempted on a worker process which is not running.
Exception | `WorkerException` | An exception was reported by a test running in a worker process.
Type Alias | `WorkerAction` | Undocumented
Type Variable | `_T` | Undocumented

WorkerAction = (source)

Undocumented

Value

    Callable[[Worker], Awaitable[_T]]

_T = (source)

Undocumented

Value

    TypeVar('_T')